Knowledgebase:
How To Change PHP Settings In Plesk
Posted by Daniel Naval on 10 May 2019 07:27 AM

Plesk supports multiple PHP versions. Different PHP versions are sometimes not fully compatible with the website written on another PHP version. For example, a website written in PHP 5.4 might not function properly if your domain is configured in PHP 5.6. If you are not sure which PHP version to choose, you can always configure it to the default setting, the latest or another version available on the system.

For you to choose the PHP version that will be compatible with your website. First, you need to Login to your Plesk account. (Don’t know how to login to your Plesk account? Click here)

Once you are on the Plesk main screen, locate and click on the “PHP Settings”.

You will then be redirected to the PHP settings page where you will see the PHP version you are currently on. Click on the drop down menu and choose the version you need to configure for your website. Within the same page you will find the different settings for your PHP version that you can adjust. For example, the “memory_limit” which is the maximum amount of memory in bytes that can be allocated for a PHP script and the “upload_max_size” which can be adjusted to for the maximum files size that can be uploaded.

Once you are done with the configuration, you may proceed to click on “Apply” to save the PHP settings and click “OK” for you to be redirected back on the domain’s main screen.